Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source.

Filter by
Sorted by
Tagged with
1
vote
1answer
5k views

how to install Seismic Analysis Code?

I am a new Ubuntu user. Please help me to install Seismic Analysis Code (SAC) on Ubuntu 14.04. I get the following errors after installation: bash: export: `1': not a valid identifier bash: export: `...
1
vote
1answer
56 views

How to correctly proceed with “There is no application installed for … files. Do you want to search for an application to open this file?” on MATE?

I have Ubuntu MATE 20.04 LTS installed. I have downloaded DXF file which is not known for my operating system. I open Caja, navigate to this file, try to open it. And then get the following message: ...
2
votes
3answers
15k views

How do I install libg2c

I was trying to run make 2D -j6 IN=2DPrograms/CD_2D_DirectSolver OUT=OUTPUT/cd.exe command. While running this make file, the terminal rendered the following errors: g++: error: EXT_LIB/g2c/...
0
votes
2answers
4k views

Error ,,Bad return status for module build on kernel: 4.4.0-87-generic (x86_64)” when installing Synaptic on Ubuntu 16.04.3. Or it is a normal error?

1.Do you recomend using sudo apt-get upgrade command before installing Synaptic through terminal? 2.(in the future): Before uninstalling an old module version which was ACTIVE on this kernel, should ...
164
votes
12answers
436k views

How do I install the latest version of cmake from the command line?

I am trying to install latest cmake in my linux box and I am always getting the below exception - userName@phx5qa01c-4e23:~/build$ wget http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz --2013-10-...
0
votes
0answers
30 views

Free up space on disk in Ubuntu 20.04 [duplicate]

I'm trying to extract a file and it says that no space to extract it but when I checked it using terminal, there is enough space so how I can solve the problem of space?
18
votes
4answers
63k views

Can't install snap apps

I upgraded from 14.04.x to 16.04 (64 bit) over the weekend. OMGubuntu! just had a post about how notes could be installed as a snap. Ctrl+Alt+T and then sudo snap install notes then enter my ...
0
votes
0answers
15 views

Serbian layout missing letters x z y q and w

When installing ubuntu, I marked the Serbian keyboard and now I don't have the ability to enter x q y and w in the console, can you help me how to change that without changing the use of the Serbian ...
5
votes
1answer
10k views

How to install Maxima in Ubuntu 16.04

I have used Maxima on Windows, and I'm now trying to install it in my laptop, which has Ubuntu 16.04 as its operative system. To do it I typed the following in the terminal: sudo apt-get update sudo ...
0
votes
0answers
41 views

How to install downloaded app? [duplicate]

In Windows there is a wizard for the installation. How does that work in Linux/Ubuntu? Example: I downloaded https://nodejs.org/dist/v14.17.4/node-v14.17.4-linux-x64.tar.xz. How can I install it and ...
0
votes
0answers
20 views

Cmake fails to build an executable

Trying to build a program with Cmake Results in: me@ubuntu-20-04:~/Downloads/UxPlay/build$ cmake .. -- The CXX compiler identification is unknown CMake Error at CMakeLists.txt:3 (project): No ...
0
votes
0answers
16 views

Cannot make HepMC work in Ubuntu 20.04 LTS

I am trying to work in the field of particle physics and I need help configuring software for that. I am trying to install HepMC3 in my ubuntu 20.04 but I am unaware of how to run it. I have followed ...
0
votes
0answers
19 views

i can't install tensorflow. (no matching distribution found)

i am sorry to ask such question, but being new to coding, i can't solve this problem even with googling full 2 days. so here it goes. I'm trying to run a demo posted at github using ubuntu for ...
3
votes
2answers
155 views

How to install/download darktable 3.6 via cli. Ubuntu 20.04 has only darktable 3.1

I have a dell xps 13 with ubuntu 20.04.I'm confused about how to download darktable 3.6, the latest version. If I could access it Software in ubuntu only has darktable 3.1. Mostly Software is just ...
1
vote
1answer
5k views

How to install gattlib in Raspberry Pi 3

I compiled, built and packaged GATTLIB library files in Raspberry Pi 3 as directed in https://github.com/labapart/gattlib. But when trying to install the library from the build folder (/home/pi/...
-1
votes
0answers
31 views

Is it possible to install dual controller application from LG to Linux via Wine?

I'd like to buy a new ultrawide LG monitor (38wn95c to be specific), but just before the hitting order button, I found out that LG didn't release the dual controller app for the Linux. I was searching ...
0
votes
1answer
293 views

Full Google Chrome removal

I installed Google Chrome from a .deb file, but for security reasons later removed it, but that appears not to have removed all of it (me purging it through apt, maybe this is because the file did not ...
0
votes
1answer
145 views

Is there any alternative to apt-listbugs for Ubuntu?

On debian apt-listbugs is used to report bugs, it can be used also to prevent a package from being installed by setting a pin priority in apt-listbugs preferences. Is there any alternative to apt-...
3
votes
2answers
117 views

apt forgot about more than 1,000 packages, and I'm unable to reinstall

I'm running 20.04.2 LTS (Focal Fossa) I hadn't run aptitude for a couple days. It always worked fine, but when I tried it now, it started giving me the "e Examine" dialog each time I run it. ...
0
votes
1answer
22 views

“Unable to locate package” after a crash installing other package with apt-get

After a crash installing java with apt-get, I was trying to install maven, but apt wasn't finding: > sudo apt-get install maven Reading package lists... Done Building dependency tree Reading state ...
0
votes
0answers
17 views

Ubuntu Get's Logout Automatically, After Installation

I have recently installed Ubuntu on my Virtual Box. When I run Ubuntu, it works fine but when I open a terminal and Try to install any thing or try to update it by typing sudo apt update, I ...
0
votes
0answers
17 views

Ubuntu 20.04 server installer crashes with raid1

I am installing fresh ubuntu 20.04 with disk 1 ssd disk 2 ssd raid1 md0=/boot 5gb raid1 md1=/ 441gb server install crashing everytime erroe2 error images
-1
votes
1answer
41 views

install gtkmm-4.0 in ubuntu 20.04

Why can't I do this with sudo apt install libgtkmm-4.0-dev It appears to be available in pkgs.org. I know I can install libgtkmm-3.0-dev using the above so why not 4.0?
3
votes
4answers
18k views

Completely remove package (GIMP), including all settings

Somehow I've gone and messed up my GIMP settings -- the application looks all messed up to the point where I can't even find the menus. See below: I'm not interested in trying to fix it through GIMP ...
8
votes
1answer
75k views

How to choose install location using “apt-get install”? [duplicate]

I was about to play around on my virtual machine running Ubuntu 12.04. I installed GIT-CORE using apt-get install git-core from repos. First I thought the apt-get command will install in the folder I ...
57
votes
5answers
176k views

How do I install qemu?

How do I install the qemu command? I type qemu and press tab and I get a list of several binaries installed. qemu-alpha qemu-arm ... qemu-x86_64 but no qemu. I type man qemu and it returns the ...
5
votes
1answer
8k views

How to install nemo extensions?

I have ubuntu 16.04 and Nemo file manager. I downloaded nemo file extensions from here: https://github.com/linuxmint/nemo-extensions First, where are details of the extensions? Second, how do I '...
1
vote
1answer
3k views

Autoreconf error: failed with exit status: 1

I try to install mp4fpsmod on Linux 4.19.104+ x86_64 Ubuntu 18.04.3 LTS in Colab. To reproduse please copypaste these three lines into a Colab cell and hit shift+enter: !git clone -qqq https://github....
0
votes
0answers
11 views

Maarch Courrier and maarchRM installation

ood evening everyone, I have just installed Maarch Courrier and after some testing I realize that I cannot archive my mail I have this error: "The producer service does not exist in MaarchRM"...
0
votes
0answers
38 views

postfix error while installing pretty much anything

this is what happens: Running newaliases newaliases: fatal: bad string length 0 < 1: mydomain = dpkg: error processing package postfix (--configure): installed postfix package post-installation ...
0
votes
0answers
37 views

apt and dpkg error

I am trying to install anydesk using apt-get and dpkg using .deb file but the system is showing the following error. Reading package lists... Error! E: Encountered a section with no Package: header E: ...
0
votes
2answers
9k views

How can I install bitdefender antivirus?

Can anyone tell me how to install Bitdefender antivirus from terminal if it's possible? I am using Ubuntu 16.04.
4
votes
4answers
30k views

How to install again Update Manager after uninstalling it

I tried asking many times on few Ubuntu forums how to deal with my non-responsive Update Manager, but all I was getting was the same stuff (run it from the terminal, run some lines, apt-get update ...
0
votes
1answer
38 views

How do I install a specific Focal version like 245.4-4ubuntu3.10?

I am currently using Docker to install Ubuntu 20.04 like this: FROM ubuntu:20.04 I ran some security audit and there are a few vulnerabilities and it says they are fixed in version 245.4-4ubuntu3.10 ...
2
votes
2answers
383 views

Unable to download signal-desktop on Ubuntu 20.04 LTS. Please help!

So I tried to install Signal-desktop on Ubuntu 20.04 LTS according to the instructions given on the official website of Signal:- # NOTE: These instructions only work for 64 bit Debian-based # Linux ...
0
votes
0answers
18 views

Getting error in Installing droid cam

I tried to droidcam using :- $cd /tmp/ $wget -O droidcam_latest.zip https://files.dev47apps.net/linux/droidcam_1.7.3.zip $unzip droidcam_latest.zip -d droidcam cd droidcam && sudo ./install-...
1
vote
1answer
12k views

How to install Lubuntu 18.10

I have an Acer Aspire One Cloudbook 14 AO1-431 with a 32GB hard disk. I need help on how to install Lubuntu 18.10 on my laptop. When I try to install it every time it goes in the part where it says ...
0
votes
0answers
18 views

Not able to install any app from Ubuntu software

I tried to install a software from Ubuntu Software but i am getting an error : '''Unable to install Photo GIMP: status-code=409 kind-snap-change-conflict message=snap "photogimp" has "...
1
vote
0answers
22 views

Trying to install Python 3.8 [duplicate]

I am trying hard to install python 3.8, but using the command: sudo apt-get install python3.8 I get the following error: Reading package lists... Done Building dependency tree Reading state ...
0
votes
1answer
34 views

How can I install xfce4-screenshooter newer than 1.9.7 in Xubuntu 18.04?

There is no screenshot on the clipboard when calling my screenshot-shortcut xfce4-screenshooter -rc or xfce4-screenshooter -mcw. I first asked a question on https://gitlab.xfce.org/apps/xfce4-...
0
votes
2answers
116 views

Installing VS Code on Ubuntu 20.04 with auto updates

I did see How do I uninstall Visual Studio Code? and https://code.visualstudio.com/docs/setup/linux Mentions snap and apt as ways to install with auto-updates. Wanted to know which is the way to get ...
1
vote
1answer
3k views

How to run SASM Assembly IDE on Ubuntu?

I have downloaded SASM Assembly IDE for Ubuntu from here: https://build.opensuse.org/package/binaries/home:Dman95/SASM?repository=xUbuntu_15.04 but after extracting I cannot see any script which I ...
0
votes
1answer
23 views

cannot install anaconda in ubuntu 20.04

I am trying to install anaconda. In my computer. I already had anaconda, but I uninstalled that, now again I am reinstalling it, but I am facing a weird error. that: subprocess.CalledProcessError: ...
4
votes
1answer
6k views

How to install Resynthesizer Plugin in GIMP snap?

I've installed a Gimp 2.10.6 snap on the Ubuntu 18.04 from the Ubuntu Store and I want to add the Resynthesizer plugin to it. What I did is: Downloaded the zip file from this GitHub repo: https://...
0
votes
1answer
4k views

How to install ATLAS

I'm trying to install sextractor on a dual-booted Windows8.1/Ubuntu14.04 machine with i5 processor. I'm following this guide on how to install ATLAS onto Ubuntu. I always encounter the error: ../...
5
votes
3answers
3k views

Unable to install FAHControl on Ubuntu 20.04

I'm trying to install FAHControl on my Ubuntu 20.04 laptop but I keep getting the following errors: fahcontrol depends on python; however: Package python is not installed. fahcontrol depends on ...
6
votes
2answers
5k views

How do I install the *latest* version of Emacs?

I've downloaded the .tar.xz file from the GNU Emacs page, and extracted it, but now I have a huge directory full of files, and I have no idea what to do with them. The README is unhelpful, too. I am ...
5
votes
2answers
8k views

Where I find mimeapps.list?

I am Installing Qt 5 on Ubuntu 14.04 using this link. But, I am stuck to create Qt-Creator.desktop file. Document instructs that "open file mimeapps.list and check if the following line is present". ...
0
votes
0answers
15 views

Da Vinci Resolve: How to open and execute a putty terminal in Ubuntu 20.04?

I'm trying to install Da Vinci Resolve for Ubuntu using a guide on the Blackmagic forum which tells me to open a "putty terminal" by pressing Ctrl + Alt + F1 but this locks my screen. I've ...
1
vote
1answer
133 views

Desktop file didnt specify exec field

I downloaded coq-proof Through ubuntu software but whenever I open it I always get that (Desktop file didnt specify exec field) message what can I do?

1
2 3 4 5
166